import request from '@/utils/request'

// 采购订单列表
export function apiOpurchaseclassLists(params: any) {
    return request.get({ url: '/operation/opurchaseclass/lists', params })
}

// 添加采购订单
export function apiOpurchaseclassAdd(params: any) {
    return request.post({ url: '/operation/opurchaseclass/add', params })
}

// 编辑采购订单
export function apiOpurchaseclassEdit(params: any) {
    return request.post({ url: '/operation/opurchaseclass/edit', params })
}

// 删除采购订单
export function apiOpurchaseclassDelete(params: any) {
    return request.post({ url: '/operation/opurchaseclass/delete', params })
}

// 采购订单详情
export function apiOpurchaseclassDetail(params: any) {
    return request.get({ url: '/operation/opurchaseclass/detail', params })
}

// 采购详情子订单
export function apiOpurchaseclassSubOrders(params: any) {
    return request.get({ url: '/operation/opurchaseclass/sub_orders', params })
}

// 采购详情报价列表
export function apiOpurchaseclassGoodsOfferList(params: any) {
    return request.get({ url: '/operation/opurchaseclass/goods_offer_list', params })
}

// 采购详情报价列表
export function apiOpurchaseclassGoodsOfferUpdate(params: any) {
    return request.post({ url: '/operation/Opurchaseclass/goods_offer_update', params })
}


// 采购详情报价列表
export function apiOpurchaseinfoListList(params: any) {
    return request.get({ url: '/operation/opurchaseclass/opurchaseinfo_list', params })
}

export function apicreateSupplierGoods(params: any) {
    return request.post({ url: '/operation/opurchaseclass/createSupplierGoods', params })
}

// 平台添加采购订单
export function apioperationOpurchaseclassAdd() {
    return request.post({ url: '/operation/opurchaseclass/add' })
}

